/*
 * Copyright
 *                         University of Stuttgart.  All rights reserved.
 * Copyright
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
/**
 *  @file
 *
 *  This file removes all the Makros used to replace MPI Calls.
 *  This is necessary within our wrappers.
 *
 *  @author Tobias Hilbrich
 *
 *  $Id: mpi_undef_makros.h 1057 2010-01-28 11:34:50Z tobias $
 */

#undef MPI_Abort
#undef MPI_Abort
#undef MPI_Address
#undef MPI_Allgather
#undef MPI_Allgatherv
#undef MPI_Allreduce
#undef MPI_Alltoall
#undef MPI_Alltoallv
#undef MPI_Attr_delete
#undef MPI_Attr_get
#undef MPI_Attr_put
#undef MPI_Barrier
#undef MPI_Bcast
#undef MPI_Bsend
#undef MPI_Bsend_init
#undef MPI_Buffer_attach
#undef MPI_Buffer_detach
#undef MPI_Cancel
#undef MPI_Cart_coords
#undef MPI_Cart_create
#undef MPI_Cart_get
#undef MPI_Cart_map
#undef MPI_Cart_rank
#undef MPI_Cart_shift
#undef MPI_Cart_sub
#undef MPI_Cartdim_get
#undef MPI_Comm_compare
#undef MPI_Comm_create
#undef MPI_Comm_dup
#undef MPI_Comm_free
#undef MPI_Comm_group
#undef MPI_Comm_rank
#undef MPI_Comm_remote_group
#undef MPI_Comm_remote_size
#undef MPI_Comm_size
#undef MPI_Comm_split
#undef MPI_Comm_test_inter
#undef MPI_Dims_create
#undef MPI_Errhandler_create
#undef MPI_Errhandler_free
#undef MPI_Errhandler_get
#undef MPI_Errhandler_set
#undef MPI_Error_class
#undef MPI_Error_string
#undef MPI_Finalize
#undef MPI_Gather
#undef MPI_Gatherv
#undef MPI_Get_count
#undef MPI_Get_elements
#undef MPI_Get_processor_name
#undef MPI_Get_version
#undef MPI_Graph_create
#undef MPI_Graph_get
#undef MPI_Graph_map
#undef MPI_Graph_neighbors
#undef MPI_Graph_neighbors_count
#undef MPI_Graphdims_get
#undef MPI_Group_compare
#undef MPI_Group_difference
#undef MPI_Group_excl
#undef MPI_Group_free
#undef MPI_Group_incl
#undef MPI_Group_intersection
#undef MPI_Group_range_excl
#undef MPI_Group_range_incl
#undef MPI_Group_rank
#undef MPI_Group_size
#undef MPI_Group_translate_ranks
#undef MPI_Group_union
#undef MPI_Ibsend
#undef MPI_Init
#undef MPI_Init_thread
#undef MPI_Initialized
#undef MPI_Intercomm_create
#undef MPI_Intercomm_merge
#undef MPI_Iprobe
#undef MPI_Irecv
#undef MPI_Irsend
#undef MPI_Isend
#undef MPI_Issend
#undef MPI_Keyval_create
#undef MPI_Keyval_free
#undef MPI_Op_create
#undef MPI_Op_free
#undef MPI_Pack
#undef MPI_Pack_size
#undef MPI_Pcontrol
#undef MPI_Probe
#undef MPI_Recv
#undef MPI_Recv_init
#undef MPI_Reduce
#undef MPI_Reduce_scatter
#undef MPI_Request_free
#undef MPI_Rsend
#undef MPI_Rsend_init
#undef MPI_Scan
#undef MPI_Scatter
#undef MPI_Scatterv
#undef MPI_Send
#undef MPI_Send_init
#undef MPI_Sendrecv
#undef MPI_Sendrecv_replace
#undef MPI_Ssend
#undef MPI_Ssend_init
#undef MPI_Start
#undef MPI_Startall
#undef MPI_Test
#undef MPI_Test_cancelled
#undef MPI_Testall
#undef MPI_Testany
#undef MPI_Testsome
#undef MPI_Topo_test
#undef MPI_Type_commit
#undef MPI_Type_contiguous
#undef MPI_Type_extent
#undef MPI_Type_free
#undef MPI_Type_hindexed
#undef MPI_Type_hvector
#undef MPI_Type_indexed
#undef MPI_Type_lb
#undef MPI_Type_size
#undef MPI_Type_struct
#undef MPI_Type_ub
#undef MPI_Type_vector
#undef MPI_Unpack
#undef MPI_Wait
#undef MPI_Waitall
#undef MPI_Waitany
#undef MPI_Waitsome
//#undef MPI_Wtick
//#undef MPI_Wtime

#undef MPI_Accumulate
#undef MPI_Get
#undef MPI_Put
#undef MPI_Win_complete
#undef MPI_Win_create
#undef MPI_Win_fence
#undef MPI_Win_free
#undef MPI_Win_lock
#undef MPI_Win_post
#undef MPI_Win_start
#undef MPI_Win_test
#undef MPI_Win_unlock
#undef MPI_Win_wait

#undef MPI_Alltoallw
#undef MPI_Exscan

#undef MPI_File_call_errhandler
#undef MPI_File_create_errhandler
#undef MPI_File_get_errhandler
#undef MPI_File_set_errhandler
#undef MPI_File_open
#undef MPI_File_close
#undef MPI_File_delete
#undef MPI_File_set_size
#undef MPI_File_preallocate
#undef MPI_File_get_size
#undef MPI_File_get_group
#undef MPI_File_get_amode
#undef MPI_File_set_info
#undef MPI_File_get_info
#undef MPI_File_set_view
#undef MPI_File_get_view
#undef MPI_File_read_at
#undef MPI_File_read_at_all
#undef MPI_File_write_at
#undef MPI_File_write_at_all
#undef MPI_File_iread_at
#undef MPI_File_iwrite_at
#undef MPI_File_read
#undef MPI_File_read_all
#undef MPI_File_write
#undef MPI_File_write_all
#undef MPI_File_iread
#undef MPI_File_iwrite
#undef MPI_File_seek
#undef MPI_File_get_position
#undef MPI_File_get_byte_offset
#undef MPI_File_read_shared
#undef MPI_File_write_shared
#undef MPI_File_iread_shared
#undef MPI_File_iwrite_shared
#undef MPI_File_read_ordered
#undef MPI_File_write_ordered
#undef MPI_File_seek_shared
#undef MPI_File_get_position_shared
#undef MPI_File_read_at_all_begin
#undef MPI_File_read_at_all_end
#undef MPI_File_write_at_all_begin
#undef MPI_File_write_at_all_end
#undef MPI_File_read_all_begin
#undef MPI_File_read_all_end
#undef MPI_File_write_all_begin
#undef MPI_File_write_all_end
#undef MPI_File_read_ordered_begin
#undef MPI_File_read_ordered_end
#undef MPI_File_write_ordered_begin
#undef MPI_File_write_ordered_end
#undef MPI_File_get_type_extent
#undef MPI_File_set_atomicity
#undef MPI_File_get_atomicity
#undef MPI_File_sync
#undef MPI_Register_datarep

#undef MPI_Close_port
#undef MPI_Comm_accept
#undef MPI_Comm_connect
#undef MPI_Comm_disconnect
#undef MPI_Comm_get_parent
#undef MPI_Comm_join
#undef MPI_Comm_spawn
#undef MPI_Comm_spawn_multiple
#undef MPI_Lookup_name
#undef MPI_Open_port
#undef MPI_Publish_name
#undef MPI_Unpublish_name

#undef MPI_Alloc_mem
#undef MPI_Comm_create_errhandler
#undef MPI_Comm_get_errhandler
#undef MPI_Comm_set_errhandler
#undef MPI_Finalized
#undef MPI_Free_mem
#undef MPI_Get_address
#undef MPI_Info_create
#undef MPI_Info_delete
#undef MPI_Info_dup
#undef MPI_Info_free
#undef MPI_Info_get
#undef MPI_Info_get_nkeys
#undef MPI_Info_get_nthkey
#undef MPI_Info_get_valuelen
#undef MPI_Info_set
#undef MPI_Pack_external
#undef MPI_Pack_external_size
#undef MPI_Request_get_status
#undef MPI_Type_create_darray
#undef MPI_Type_create_hindexed
#undef MPI_Type_create_hvector
#undef MPI_Type_create_indexed_block
#undef MPI_Type_create_resized
#undef MPI_Type_create_struct
#undef MPI_Type_create_subarray
#undef MPI_Type_get_extent
#undef MPI_Type_get_true_extent
#undef MPI_Unpack_external
#undef MPI_Win_create_errhandler
#undef MPI_Win_get_errhandler
#undef MPI_Win_set_errhandler

/* External Interfaces */
#undef MPI_Add_error_class
#undef MPI_Add_error_code
#undef MPI_Add_error_string
#undef MPI_Comm_call_errhandler
#undef MPI_Comm_create_keyval
#undef MPI_Comm_delete_attr
#undef MPI_Comm_free_keyval
#undef MPI_Comm_get_attr
#undef MPI_Comm_get_name
#undef MPI_Comm_set_attr
#undef MPI_Comm_set_name
#undef MPI_Grequest_complete
#undef MPI_Grequest_start
/*#undef MPI_Init_thread*/
#undef MPI_Is_thread_main
#undef MPI_Query_thread
#undef MPI_Status_set_cancelled
#undef MPI_Status_set_elements
#undef MPI_Type_create_keyval
#undef MPI_Type_delete_attr
#undef MPI_Type_dup
#undef MPI_Type_free_keyval
#undef MPI_Type_get_attr
#undef MPI_Type_get_contents
#undef MPI_Type_get_envelope
#undef MPI_Type_get_name
#undef MPI_Type_set_attr
#undef MPI_Type_set_name
#undef MPI_Win_call_errhandler
#undef MPI_Win_create_keyval
#undef MPI_Win_delete_attr
#undef MPI_Win_free_keyval
#undef MPI_Win_get_attr
#undef MPI_Win_get_name
#undef MPI_Win_set_attr
#undef MPI_Win_set_name
#undef MPI_Type_create_f90_complex
#undef MPI_Type_create_f90_integer
#undef MPI_Type_create_f90_real
#undef MPI_Type_match_size
