/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
#pragma once

#include "DICE_TreeDataBase.h"

namespace DICE_BACK
{

	class CDICE_LocationsData : public CDICE_TreeDataBase
	{
	private:
		CDICE_LocationsData(void);
		static CDICE_LocationsData* m_theInstance;

	public:
		~CDICE_LocationsData(void);
		static CDICE_LocationsData* GetInstance(void);

		DICE_INTERFACE::CDICE_TreeItem* createRestrictedInterfaceTree (std::list<SDICE_LinkType>);
	};

}//end of namespace DICE_BACK