/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
#pragma once
#include "afxwin.h"
#include <string>

namespace DICE_GUI
{

	class CDICE_ReportWin :
		public CEdit
	{
	private:
		CDICE_ReportWin(void);
		static CDICE_ReportWin* m_theInstance;

	public:
		~CDICE_ReportWin(void);
		static CDICE_ReportWin* GetInstance (void);
		
		void setText (std::string text);

		//=============================================
		//        Windows Event and Message Stuff
		//=============================================

		// Message maps
		DECLARE_MESSAGE_MAP()

		// Dispatch maps
		DECLARE_DISPATCH_MAP()

		// Dispatch and event IDs
	public:
		enum {
		};
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	};

} //end of namespace DICE_GUI