#include "StdAfx.h"
#include "DICE_SystemWin.h"
#include "DICE_interface.h"
#include "GUIUpdaterWin.h"
#include "DICE_ReportListWin.h"
#include "DICE_LocationsWin.h"
#include "DICE_MessagesWin.h"


namespace DICE_GUI
{
	CDICE_SystemWin* CDICE_SystemWin::m_theInstance = NULL;

	CDICE_SystemWin::CDICE_SystemWin(void)
	{
	}

	CDICE_SystemWin::~CDICE_SystemWin(void)
	{
	}

	CDICE_SystemWin* CDICE_SystemWin::GetInstance(void)
	{
		if (m_theInstance == NULL)
		{
			m_theInstance = new CDICE_SystemWin();
		}

		return m_theInstance;
	}

	void CDICE_SystemWin::selectionChanged(long DICEid)
	{
		if (m_selectedID != DICEid)
		{
			m_selectedID = DICEid;

			//update the tree content
			CDICE_GUIUpdaterWin::GetInstance()->getQueryDICE()->changeSystemSelection(DICEid);

			//update the reports
			DICE_INTERFACE::SDICE_ReturnIDs selection;
			selection.m_IDmessages = CDICE_MessagesWin::GetInstance()->getSelection();
			selection.m_IDlocations = CDICE_LocationsWin::GetInstance()->getSelection();
			selection.m_IDsystem = m_selectedID;
			CDICE_ReportListWin::GetInstance()->setReports(
				CDICE_GUIUpdaterWin::GetInstance()->getQueryDICE()->getReports(selection));
		}
	}

} //end of namespace DICE_GUI