/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
#pragma once
#include "dice_treeitem.h"

namespace DICE_INTERFACE
{

	class CDICE_TreeLeaf : public CDICE_TreeItem
	{
	public:
		CDICE_TreeLeaf(void);
		CDICE_TreeLeaf(CDICE_TreeItem* father, std::string desc, double severity, long DICE_id);
		~CDICE_TreeLeaf(void);

		bool isLeaf (void);
	};

} //end of namespace DICE_INTERFACE