package de.hlrs.marmoclipse.perspective;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.eclipse.ui.IFolderLayout;

public class MarmoclipsePerspectiveFactory implements IPerspectiveFactory {

	@SuppressWarnings("deprecation")
	public void createInitialLayout(IPageLayout layout) {
		IFolderLayout left = layout.createFolder("left", IPageLayout.LEFT,
				0.25f, layout.getEditorArea());
		left.addView(IPageLayout.ID_PROJECT_EXPLORER);
		left.addView(IPageLayout.ID_RES_NAV);
		left.addPlaceholder(IPageLayout.ID_BOOKMARKS);

		IFolderLayout bot = layout.createFolder("bottom", IPageLayout.BOTTOM,
				0.65f, layout.getEditorArea());
		bot.addView("de.hlrs.marmoclipse.views.MarmotControlView");
		bot.addView("de.hlrs.marmoclipse.views.MarmotLogView");
	}
}
