/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */

/**
 * Does not contains MPI2 !
 * Will likely be removed anyways.
 */

#define  MPI_Abort                 MARMOT_Abort
#define  MPI_Address               MARMOT_Address
#define  MPI_Allgather             MARMOT_Allgather
#define  MPI_Allgatherv            MARMOT_Allgatherv
#define  MPI_Allreduce             MARMOT_Allreduce
#define  MPI_Alltoall              MARMOT_Alltoall
#define  MPI_Alltoallv             MARMOT_Alltoallv
#define  MPI_Attr_delete           MARMOT_Attr_delete
#define  MPI_Attr_get              MARMOT_Attr_get
#define  MPI_Attr_put              MARMOT_Attr_put
#define  MPI_Barrier               MARMOT_Barrier
#define  MPI_Bcast                 MARMOT_Bcast
#define  MPI_Bsend_init            MARMOT_Bsend_init
#define  MPI_Bsend                 MARMOT_Bsend
#define  MPI_Buffer_attach         MARMOT_Buffer_attach
#define  MPI_Buffer_detach         MARMOT_Buffer_detach
#define  MPI_Cancel                MARMOT_Cancel
#define  MPI_Cart_coords           MARMOT_Cart_coords
#define  MPI_Cart_create           MARMOT_Cart_create
#define  MPI_Cartdim_get           MARMOT_Cartdim_get
#define  MPI_Cart_get              MARMOT_Cart_get
#define  MPI_Cart_map              MARMOT_Cart_map
#define  MPI_Cart_rank             MARMOT_Cart_rank
#define  MPI_Cart_shift            MARMOT_Cart_shift
#define  MPI_Cart_sub              MARMOT_Cart_sub
#define  MPI_Comm_compare          MARMOT_Comm_compare
#define  MPI_Comm_create           MARMOT_Comm_create
#define  MPI_Comm_dup              MARMOT_Comm_dup
#define  MPI_Comm_free             MARMOT_Comm_free
#define  MPI_Comm_group            MARMOT_Comm_group
#define  MPI_Comm_rank             MARMOT_Comm_rank
#define  MPI_Comm_remote_group     MARMOT_Comm_remote_group
#define  MPI_Comm_remote_size      MARMOT_Comm_remote_size
#define  MPI_Comm_size             MARMOT_Comm_size
#define  MPI_Comm_split            MARMOT_Comm_split
#define  MPI_Comm_test_inter       MARMOT_Comm_test_inter
#define  MPI_Dims_create           MARMOT_Dims_create
#define  MPI_Errhandler_create     MARMOT_Errhandler_create
#define  MPI_Errhandler_free       MARMOT_Errhandler_free
#define  MPI_Errhandler_get        MARMOT_Errhandler_get
#define  MPI_Errhandler_set        MARMOT_Errhandler_set
#define  MPI_Error_class           MARMOT_Error_class
#define  MPI_Error_string          MARMOT_Error_string
#define  MPI_Finalize              MARMOT_Finalize
#define  MPI_Gather                MARMOT_Gather
#define  MPI_Gatherv               MARMOT_Gatherv
#define  MPI_Get_count             MARMOT_Get_count
#define  MPI_Get_elements          MARMOT_Get_elements
#define  MPI_Get_processor_name    MARMOT_Get_processor_name
#define  MPI_Get_version           MARMOT_Get_version
#define  MPI_Graph_create          MARMOT_Graph_create
#define  MPI_Graphdims_get         MARMOT_Graphdims_get
#define  MPI_Graph_get             MARMOT_Graph_get
#define  MPI_Graph_map             MARMOT_Graph_map
#define  MPI_Graph_neighbors_count MARMOT_Graph_neighbors_count
#define  MPI_Graph_neighbors       MARMOT_Graph_neighbors
#define  MPI_Group_compare         MARMOT_Group_compare
#define  MPI_Group_difference      MARMOT_Group_difference
#define  MPI_Group_excl            MARMOT_Group_excl
#define  MPI_Group_free            MARMOT_Group_free
#define  MPI_Group_incl            MARMOT_Group_incl
#define  MPI_Group_intersection    MARMOT_Group_intersection
#define  MPI_Group_range_excl      MARMOT_Group_range_excl
#define  MPI_Group_range_incl      MARMOT_Group_range_incl
#define  MPI_Group_rank            MARMOT_Group_rank
#define  MPI_Group_size            MARMOT_Group_size
#define  MPI_Group_translate_ranks MARMOT_Group_translate_ranks
#define  MPI_Group_union           MARMOT_Group_union
#define  MPI_Ibsend                MARMOT_Ibsend
#define  MPI_Init                  MARMOT_Init
#define  MPI_Init_thread           MARMOT_Init_thread
#define  MPI_Initialized           MARMOT_Initialized
#define  MPI_Intercomm_create      MARMOT_Intercomm_create
#define  MPI_Intercomm_merge       MARMOT_Intercomm_merge
#define  MPI_Iprobe                MARMOT_Iprobe
#define  MPI_Irecv                 MARMOT_Irecv
#define  MPI_Irsend                MARMOT_Irsend
#define  MPI_Isend                 MARMOT_Isend
#define  MPI_Issend                MARMOT_Issend
#define  MPI_Keyval_create         MARMOT_Keyval_create
#define  MPI_Keyval_free           MARMOT_Keyval_free
#define  MPI_Op_create             MARMOT_Op_create
#define  MPI_Op_free               MARMOT_Op_free
#define  MPI_Pack                  MARMOT_Pack
#define  MPI_Pack_size             MARMOT_Pack_size
#define  MPI_Probe                 MARMOT_Probe
#define  MPI_Recv_init             MARMOT_Recv_init
#define  MPI_Recv                  MARMOT_Recv
#define  MPI_Reduce                MARMOT_Reduce
#define  MPI_Reduce_scatter        MARMOT_Reduce_scatter
#define  MPI_Request_free          MARMOT_Request_free
#define  MPI_Rsend_init            MARMOT_Rsend_init
#define  MPI_Rsend                 MARMOT_Rsend
#define  MPI_Scan                  MARMOT_Scan
#define  MPI_Scatter               MARMOT_Scatter
#define  MPI_Scatterv              MARMOT_Scatterv
#define  MPI_Send_init             MARMOT_Send_init
#define  MPI_Send                  MARMOT_Send
#define  MPI_Sendrecv              MARMOT_Sendrecv
#define  MPI_Sendrecv_replace      MARMOT_Sendrecv_replace
#define  MPI_Ssend_init            MARMOT_Ssend_init
#define  MPI_Ssend                 MARMOT_Ssend
#define  MPI_Startall              MARMOT_Startall
#define  MPI_Start                 MARMOT_Start
#define  MPI_Testall               MARMOT_Testall
#define  MPI_Testany               MARMOT_Testany
#define  MPI_Test_cancelled        MARMOT_Test_cancelled
#define  MPI_Test                  MARMOT_Test
#define  MPI_Testsome              MARMOT_Testsome
#define  MPI_Topo_test             MARMOT_Topo_test
#define  MPI_Type_commit           MARMOT_Type_commit
#define  MPI_Type_contiguous       MARMOT_Type_contiguous
#define  MPI_Type_extent           MARMOT_Type_extent
#define  MPI_Type_free             MARMOT_Type_free
#define  MPI_Type_hindexed         MARMOT_Type_hindexed
#define  MPI_Type_hvector          MARMOT_Type_hvector
#define  MPI_Type_indexed          MARMOT_Type_indexed
#define  MPI_Type_lb               MARMOT_Type_lb
#define  MPI_Type_size             MARMOT_Type_size
#define  MPI_Type_struct           MARMOT_Type_struct
#define  MPI_Type_ub               MARMOT_Type_ub
#define  MPI_Type_vector           MARMOT_Type_vector
#define  MPI_Unpack                MARMOT_Unpack
#define  MPI_Waitall               MARMOT_Waitall
#define  MPI_Waitany               MARMOT_Waitany
#define  MPI_Wait                  MARMOT_Wait
#define  MPI_Waitsome              MARMOT_Waitsome
#define  MPI_Wtick                 MARMOT_Wtick
#define  MPI_Wtime                 MARMOT_Wtime

