/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
/**
 *  @file
 *
 *  Empty except for comments on MPI_Wtime.
 *
 *  The corresponding class MPO_Wtime is not implemented.
 *
 *  @author Bettina Krammer
 * 
 *  $Id: mpo_Wtime.cc 838 2008-06-13 10:44:34Z hpchimml $
 */



// mpich implementation
//========================================================================
// The following comment is copied from mpich-1.2.4/src/env/wtime.c.
/*@
  MPI_Wtime - Returns an elapsed time on the calling processor

  Return value:
  Time in seconds since an arbitrary time in the past.

  Notes:
  This is intended to be a high-resolution, elapsed (or wall) clock.
  See 'MPI_WTICK' to determine the resolution of 'MPI_WTIME'.
  If the attribute 'MPI_WTIME_IS_GLOBAL' is defined and true, then the
  value is synchronized across all processes in 'MPI_COMM_WORLD'.  

  Notes for Fortran:
  This is a function, declared as 'DOUBLE PRECISION MPI_WTIME()' in Fortran.

  .see also: MPI_Wtick, MPI_Attr_get

  double MPI_Wtime()
  @*/
