#include "StdAfx.h"
#include "DICE_LocationsData.h"

namespace DICE_BACK
{
	CDICE_LocationsData* CDICE_LocationsData::m_theInstance = NULL;

	CDICE_LocationsData::CDICE_LocationsData(void)
	{
	}

	CDICE_LocationsData::~CDICE_LocationsData(void)
	{
	}

	CDICE_LocationsData* CDICE_LocationsData::GetInstance (void)
	{
		if (m_theInstance == NULL)
		{
			m_theInstance = new CDICE_LocationsData ();
		}

		return m_theInstance;
	}

	DICE_INTERFACE::CDICE_TreeItem* CDICE_LocationsData::createRestrictedInterfaceTree (std::list<SDICE_LinkType> links)
	{
		std::list<std::pair<long,double> > temp;
		temp.clear();

		std::list<SDICE_LinkType>::iterator i;
		for (i = links.begin(); i != links.end(); i++)
		{
			//i->systemID might already be present ...
			double sev = i->severity;
			std::list<std::pair<long,double> >::iterator j;
			for (j = temp.begin();j != temp.end();j++)
			{
				if (j->first == i->locationsID)
				{
					sev += j->second;
					temp.erase(j);
					break;
				}
			}
			temp.push_back (std::make_pair (i->locationsID,sev));
		}

		return createWeightedInterfaceTree (temp);
	}

}//end of namespace DICE_BACK