#include "StdAfx.h"
#include "DICE_LocationsWin.h"
#include "DICE_interface.h"
#include "GUIUpdaterWin.h"
#include "DICE_ReportListWin.h"
#include "DICE_MessagesWin.h"
#include "DICE_SystemWin.h"


namespace DICE_GUI
{

	CDICE_LocationsWin* CDICE_LocationsWin::m_theInstance = NULL;

	CDICE_LocationsWin::CDICE_LocationsWin(void)
	{
	}

	CDICE_LocationsWin::~CDICE_LocationsWin(void)
	{
	}

	CDICE_LocationsWin* CDICE_LocationsWin::GetInstance(void)
	{
		if (m_theInstance == NULL)
		{
			m_theInstance = new CDICE_LocationsWin();
		}

		return m_theInstance;
	}

	void CDICE_LocationsWin::selectionChanged(long DICEid)
	{
		if (m_selectedID != DICEid)
		{
			m_selectedID = DICEid;

			//update the tree content
			CDICE_GUIUpdaterWin::GetInstance()->getQueryDICE()->changeLocationsSelection(DICEid);

			//update the reports
			DICE_INTERFACE::SDICE_ReturnIDs selection;
			selection.m_IDmessages = CDICE_MessagesWin::GetInstance()->getSelection();
			selection.m_IDlocations = m_selectedID;
			selection.m_IDsystem = CDICE_SystemWin::GetInstance()->getSelection();
			CDICE_ReportListWin::GetInstance()->setReports(
				CDICE_GUIUpdaterWin::GetInstance()->getQueryDICE()->getReports(selection));
		}
	}

} //end of namespace DICE_GUI