#include "StdAfx.h"
#include "DICE_ReportWin.h"
#include <assert.h>

namespace DICE_GUI
{

	// Message map

	BEGIN_MESSAGE_MAP(CDICE_ReportWin, CEdit)
		ON_WM_CREATE()
		ON_WM_CTLCOLOR_REFLECT()
	END_MESSAGE_MAP()



	// Dispatch map

	BEGIN_DISPATCH_MAP(CDICE_ReportWin, CEdit)
	END_DISPATCH_MAP()


	CDICE_ReportWin* CDICE_ReportWin::m_theInstance = NULL;

	CDICE_ReportWin::CDICE_ReportWin(void)
	{
	}

	CDICE_ReportWin::~CDICE_ReportWin(void)
	{
	}

	CDICE_ReportWin* CDICE_ReportWin::GetInstance (void)
	{
		if (m_theInstance == NULL)
		{
			m_theInstance = new CDICE_ReportWin();
		}

		return m_theInstance;
	}

	void CDICE_ReportWin::setText (std::string text)
	{
		static WCHAR ws_text[2048];
		std::wstring str(text.length(), L' '); // Make room for characters
		std::copy(text.begin(), text.end(), str.begin());
		wsprintf(ws_text,str.c_str());
		SetWindowText(ws_text);
	}

} // end of namespace DICE_GUI
int DICE_GUI::CDICE_ReportWin::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CEdit::OnCreate(lpCreateStruct) == -1)
		return -1;

	Invalidate(TRUE);

	// TODO:  Add your specialized creation code here
	// Add soft line-break breaks.
	FmtLines(TRUE);

	return 0;
}

HBRUSH DICE_GUI::CDICE_ReportWin::CtlColor(CDC* pDC, UINT nCtlColor)
{
//	HBRUSH hbr = CEdit::OnCtlColor(pDC, pWnd, nCtlColor);

	//set text color
	COLORREF rgbText = 0x00000000;
	COLORREF rgbBack = 0x00FFFFFF;
	pDC->SetTextColor(rgbText);

	//set the text's background color
	static bool isInited = false;
	static CBrush back;
	if (!isInited)
	{
		back.CreateSolidBrush(rgbBack);
		isInited = true;
	}
	pDC->SetBkColor(rgbBack);

	// TODO:  Change any attributes of the DC here

	// TODO:  Return a different brush if the default is not desired
	return back;
}
