/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
#pragma once

#ifdef USE_MARMOT_DICE

#include "stdafx.h"
using namespace EnvDTE;
using namespace EnvDTE80;

class CWin_DiceWindow
{
private:
	CWin_DiceWindow(void);
	static CWin_DiceWindow *m_theInstance;

public:
	static CWin_DiceWindow* GetInstance(void);
	CComPtr<EnvDTE::Window> pWindow;
	~CWin_DiceWindow(void);
	HRESULT create(CComPtr<DTE2> pDTE, CComPtr<AddIn> pAddInInstance,CComPtr<OutputWindowPane> m_pBuildOutput);
	HRESULT close (void);
	void putVisible (void);
};

#endif //USE_MARMOT_DICE